%define	name	xscorch
%define	version	0.1.15
%define	release	2mdk
%define	summary	Clone of Scorched Earth

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%name-0.1.15.tar.bz2
Source1:	%{name}-icons.tar.bz2
Patch:		%{name}-0.1.13-handle-bziped-manpage.patch.bz2
Patch1:		%{name}-0.1.14-non-crazy-scoring--standard.patch.bz2
Url:		http://chaos2.org/xscorch/
License:	GPL
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libmikmod-devel libgtk+1.2-devel XFree86-devel libglib1.2-devel

%description 
Xscorch is a clone of the classic DOS game, "Scorched Earth". The basic goal
is to annihilate enemy tanks using overpowered guns :). Basically, you buy
weapons, you target the enemy by adjusting the angle of your turret and firing
power, and you hope to destroy their tank before they destroy yours.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
./configure	--host=%{_target_platform} \
		--target=%{_target_platform} \
		--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--with-gnu-ld

%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall datadir=$RPM_BUILD_ROOT%{_gamesdatadir} bindir=$RPM_BUILD_ROOT%{_gamesbindir}

install -d %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="Amusement/Arcade" \
		title="%{name}"\
		longtitle="%{summary}"
EOF
install -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
tar -xOjf %{SOURCE1} %{name}-icons/%{name}-16x16.png > ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
tar -xOjf %{SOURCE1} %{name}-icons/%{name}-32x32.png > ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
tar -xOjf %{SOURCE1} %{name}-icons/%{name}-48x48.png > ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root,755)
%{_gamesbindir}/*
%defattr(644,root,root,755)
%{_mandir}/*/*
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO doc/AI doc/NETWORK doc/NOTES

%changelog
* Mon Mar 17 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1.15-2mdk
- drop obsolete Prefix tag
- move from %{_bindir} to %{_gamesbindir} and from %{_datadir} to %{_gamesdatadir}
- nicer formatting
- quiet setup
- don't use configure macro, somehow it made xscorch fail to compile
- added menuitem and icons
- added buildrequires

* Thu Jun 27 2002 Pixel <pixel@mandrakesoft.com> 0.1.15-1mdk
- new release

* Mon Dec 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.14-1mdk
- 0.1.14
- refresh crazy-scoring patch

* Tue Jul 24 2001 Pixel <pixel@mandrakesoft.com> 0.1.13-2mdk
- non-crazy-scoring--standard

* Tue Jul 24 2001 Pixel <pixel@mandrakesoft.com> 0.1.13-1mdk
- new version
- fix description-line-too-long

* Sun Jan 21 2001 Pixel <pixel@mandrakesoft.com> 0.1.10-1mdk
- initial spec


# end of file
